package com.hidglobal.omnikeydemo.extensions

import android.content.Context
import android.view.View
import android.view.inputmethod.InputMethodManager

fun View?.hideKeyboard() {
    this?.let {
        val imm = context.getSystemService(Context.INPUT_METHOD_SERVICE) as InputMethodManager
        imm.hideSoftInputFromWindow(windowToken, 0)
    }
}